Package org.eclipse.microprofile.metrics.test.optional

## Class MpMetricOptionalTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.test.optional.MpMetricOptionalTest

    public class MpMetricOptionalTest
    extends Object

### Constructor Summary

Constructors
`MpMetricOptionalTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`double` `parseMetricLineValue​(String line)`
`static void` `setup()`
`void` `testDeleteNoParam()`
`void` `testForNonZeroValues()`
`void` `testGetAsync()`
`void` `testGetContextParams()`
`void` `testGetListParam()`
`void` `testGetMappedArithException()`
`void` `testGetMultiParam()`
`void` `testGetNameObject()`
`void` `testGetSingleParams()`
`void` `testGetUnmappedArithException()`
`void` `testPostMappedArithException()`
`void` `testPostMultiParam()`
`void` `testPostUnmappedArithException()`
`void` `testSimpleRESTGet()`
`void` `testSimpleRESTGetExplicit()`
`void` `testSimpleRESTHead()`
`void` `testSimpleRESTOptions()`
`void` `testSimpleRESTPost()`
`void` `testSimpleRESTPut()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MpMetricOptionalTest

    public MpMetricOptionalTest()

### Method Detail

#### setup

    public static void setup()
                      throws MalformedURLException

Throws:
  `MalformedURLException`

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testSimpleRESTGet

    @RunAsClient
    @InSequence(1)
    public void testSimpleRESTGet()
                           throws InterruptedException

Throws:
  `InterruptedException`

#### testSimpleRESTGetExplicit

    @RunAsClient
    @InSequence(2)
    public void testSimpleRESTGetExplicit()
                                   throws InterruptedException

Throws:
  `InterruptedException`

#### testSimpleRESTOptions

    @RunAsClient
    @InSequence(3)
    public void testSimpleRESTOptions()
                               throws InterruptedException

Throws:
  `InterruptedException`

#### testSimpleRESTHead

    @RunAsClient
    @InSequence(4)
    public void testSimpleRESTHead()
                            throws InterruptedException

Throws:
  `InterruptedException`

#### testSimpleRESTPut

    @RunAsClient
    @InSequence(5)
    public void testSimpleRESTPut()
                           throws InterruptedException

Throws:
  `InterruptedException`

#### testSimpleRESTPost

    @RunAsClient
    @InSequence(6)
    public void testSimpleRESTPost()
                            throws InterruptedException

Throws:
  `InterruptedException`

#### testDeleteNoParam

    @RunAsClient
    @InSequence(7)
    public void testDeleteNoParam()
                           throws InterruptedException

Throws:
  `InterruptedException`

#### testGetSingleParams

    @RunAsClient
    @InSequence(8)
    public void testGetSingleParams()
                             throws InterruptedException

Throws:
  `InterruptedException`

#### testGetContextParams

    @RunAsClient
    @InSequence(9)
    public void testGetContextParams()
                              throws InterruptedException

Throws:
  `InterruptedException`

#### testGetListParam

    @RunAsClient
    @InSequence(10)
    public void testGetListParam()
                          throws InterruptedException

Throws:
  `InterruptedException`

#### testGetMultiParam

    @RunAsClient
    @InSequence(12)
    public void testGetMultiParam()
                           throws InterruptedException

Throws:
  `InterruptedException`

#### testGetNameObject

    @RunAsClient
    @InSequence(13)
    public void testGetNameObject()
                           throws InterruptedException

Throws:
  `InterruptedException`

#### testGetAsync

    @RunAsClient
    @InSequence(14)
    public void testGetAsync()
                      throws InterruptedException

Throws:
  `InterruptedException`

#### testForNonZeroValues

    @RunAsClient
    @InSequence(15)
    public void testForNonZeroValues()
                              throws InterruptedException

Throws:
  `InterruptedException`

#### testPostMultiParam

    @RunAsClient
    @InSequence(15)
    public void testPostMultiParam()
                            throws InterruptedException

Throws:
  `InterruptedException`

#### testGetMappedArithException

    @RunAsClient
    @InSequence(18)
    public void testGetMappedArithException()
                                     throws InterruptedException

Throws:
  `InterruptedException`

#### testPostMappedArithException

    @RunAsClient
    @InSequence(19)
    public void testPostMappedArithException()

#### testGetUnmappedArithException

    @RunAsClient
    @InSequence(20)
    public void testGetUnmappedArithException()

#### testPostUnmappedArithException

    @RunAsClient
    @InSequence(21)
    public void testPostUnmappedArithException()

#### parseMetricLineValue

    public double parseMetricLineValue​(String line)